# Reset module
run_hooks pre-reset-$ACTION

case $ACTION in
    start)
        # Set policy to DROP
        ipXtables -P INPUT DROP
        ipXtables -P FORWARD DROP
        ipXtables -P OUTPUT DROP

        # Flush the tables
        ipXtables -F
        iptables -t nat -F
        ipXtables -t mangle -F
        
        # Remove the tables
        ipXtables -X
        iptables -t nat -X
        ipXtables -t mangle -X

        # Remove ip sets
        ipset destroy
    ;;

    stop)
        # Flush the tables
        ipXtables -F
        iptables -t nat -F
        ipXtables -t mangle -F
        
        # Remove the tables
        ipXtables -X
        iptables -t nat -X
        ipXtables -t mangle -X
        
        # Set policy to ACCEPT
        ipXtables -P INPUT ACCEPT
        ipXtables -P FORWARD ACCEPT
        ipXtables -P OUTPUT ACCEPT

        # Remove ip sets
        ipset destroy
    ;;
esac

run_hooks post-reset-$ACTION

