# Module for iptables
run_hooks pre-iptables-$ACTION

case $ACTION in
    start)
        # Load any saved rules
        if [[ -f "$PROFDIR/iptables/iptables.conf" ]] ; then
            iptables-restore < "$PROFDIR/iptables/iptables.conf"
        fi

        if [[ -f "$PROFDIR/iptables/ip6tables.conf" ]] ; then
            ip6tables-restore < "$PROFDIR/iptables/ip6tables.conf"
        fi

        # Load any chains
        (shopt -s nullglob && for i in "$PROFDIR/iptables/"*.sh ; do source "$i" ; done)
    ;;

    stop)
    ;;
esac

run_hooks post-iptables-$ACTION

